Skip to content
Start here

Get IRR AS-SETs that an AS is a member of

GET/radar/entities/asns/{asn}/as_set

Retrieves Internet Routing Registry AS-SETs that an AS is a member of.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Path ParametersExpand Collapse
asn: number

Retrieves all AS-SETs that the given AS is a member of.

Query ParametersExpand Collapse
format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
ReturnsExpand Collapse
result: { as_sets, paths }
as_sets: array of { as_members_count, as_set_members_count, as_set_upstreams_count, 6 more }
as_members_count: number

The number of AS members in the AS-SET

as_set_members_count: number

The number of AS-SET members in the AS-SET

as_set_upstreams_count: number

The number of recursive upstream AS-SETs

asn_cone_size: number

The number of unique ASNs in the AS-SETs recursive downstream

irr_sources: array of string

The IRR sources of the AS-SET

name: string

The name of the AS-SET

hierarchical_asn: optional number

The AS number following hierarchical AS-SET name

inferred_asn: optional number

The inferred AS number of the AS-SET

peeringdb_asn: optional number

The AS number matching PeeringDB record

paths: array of array of string

Paths from the AS-SET that include the given AS to its upstreams recursively

success: boolean

Get IRR AS-SETs that an AS is a member of

curl https://api.cloudflare.com/client/v4/radar/entities/asns/$ASN/as_set \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "as_sets": [
      {
        "as_members_count": 0,
        "as_set_members_count": 0,
        "as_set_upstreams_count": 0,
        "asn_cone_size": 0,
        "irr_sources": [
          "string"
        ],
        "name": "name",
        "hierarchical_asn": 0,
        "inferred_asn": 0,
        "peeringdb_asn": 0
      }
    ],
    "paths": [
      [
        "string"
      ]
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "as_sets": [
      {
        "as_members_count": 0,
        "as_set_members_count": 0,
        "as_set_upstreams_count": 0,
        "asn_cone_size": 0,
        "irr_sources": [
          "string"
        ],
        "name": "name",
        "hierarchical_asn": 0,
        "inferred_asn": 0,
        "peeringdb_asn": 0
      }
    ],
    "paths": [
      [
        "string"
      ]
    ]
  },
  "success": true
}